## net.sf.saxon.xpath
Class StaticError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--net.sf.saxon.xpath.XPathException
                              |
                              +--net.sf.saxon.xpath.StaticError

All Implemented Interfaces:
  java.io.Serializable

public class StaticError
extends XPathException

Exception used for static errors in XPath, XSLT, or XQuery

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.xpath.XPathException
`XPathException.Circularity`

Constructor Summary
`StaticError(java.lang.Exception err)`
`StaticError(java.lang.String message)`
`StaticError(java.lang.String message, javax.xml.transform.SourceLocator loc)`
`StaticError(java.lang.String message, java.lang.Throwable err)`

Method Summary
`StaticError` `makeStatic()` Force an exception to a static error

Methods inherited from class net.sf.saxon.xpath.XPathException
`getErrorCode, hasBeenReported, isTypeError, setErrorCode, setHasBeenReported, setIsTypeError, wrap`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticError

    public StaticError(java.lang.String message)

### StaticError

    public StaticError(java.lang.Exception err)

### StaticError

    public StaticError(java.lang.String message,
                       java.lang.Throwable err)

### StaticError

    public StaticError(java.lang.String message,
                       javax.xml.transform.SourceLocator loc)

Method Detail

### makeStatic

    public StaticError makeStatic()

  Force an exception to a static error

  Overrides:
    `makeStatic` in class `XPathException`